Wind River Support Network

HomeDefectsLIN5-22064
Fixed

LIN5-22064 : Security Advisory - linux - CVE-2016-7425

Created: Oct 25, 2016    Updated: May 29, 2018
Resolved Date: Nov 16, 2016
Found In Version: 5.0.1.37
Fix Version: 5.0.1.38
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Kernel

Description

The arcmsr_iop_message_xfer function in drivers/scsi/arcmsr/arcmsr_hba.c in the Linux kernel through 4.8.2 does not restrict a certain length field, which allows local users to gain privileges or cause a denial of service (heap-based buffer overflow) via an ARCMSR_MESSAGE_WRITE_WQBUFFER control code.

Other Downloads


Live chat
Online